payments.updateStarGiftPrice
A collectible gift we own » can be put up for sale on the gift marketplace » with this method, see here » for more info.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A collectible gift we own » can be put up for sale on the gift marketplace » with this method, see here » for more info.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.updateStarGiftPrice" \ -H "Content-Type: application/json" \ -d '{ "params": { "stargift": { "_": "inputSavedStarGiftUser", "msgId": 0 }, "resellAmount": { "_": "starsAmount", "amount": "string", "nanos": 0 } } }'{ "result": { "_": "updatesTooLong" }}updateStarGiftCollection
Add or remove gifts from a [star gift collection »](https://core.telegram.org/api/gifts#gift-collections), or rename the collection.
upgradeStarGift
Upgrade a [gift](https://core.telegram.org/api/gifts) to a [collectible gift](https://core.telegram.org/api/gifts#collectible-gifts): can only be used if the upgrade was already paid by the gift sender; see [here »](https://core.telegram.org/api/gifts#upgrade-a-gift-to-a-collectible-gift) for more info on the full flow (including the different flow to use in case the upgrade was not paid by the gift sender).